## kf6-kconfigwidgets 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KConfigWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakeDependentOption)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(kconfigwidgets_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kconfigwidgets_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIGWIDGETS
                        VERSION_HEADER "${kconfigwidgets_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigWidgetsConfigVersion.cmake"
                        SOVERSION 6)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)


ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets6\")
ki18n_install(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6ConfigWidgets")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6ConfigWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigWidgetsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6ConfigWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ConfigWidgetsTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kconfigwidgets_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kconfigwidgets (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 14:11:20 +0100

kf6-kconfigwidgets (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:00 +0100

=== debian/control ===
Source: kf6-kconfigwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.17.0~),
               gettext,
               libkf6codecs-dev (>= 6.17.0~),
               libkf6colorscheme-dev (>= 6.17.0~),
               libkf6config-dev (>= 6.17.0~),
               libkf6coreaddons-dev (>= 6.17.0~),
               libkf6guiaddons-dev (>= 6.17.0~),
               libkf6i18n-dev (>= 6.17.0~),
               libkf6widgetsaddons-dev (>= 6.17.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfigwidgets
Rules-Requires-Root: no

Package: libkf6configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the data files.

Package: libkf6configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.17.0~),
         libkf6colorscheme-dev (>= 6.17.0~),
         libkf6config-dev (>= 6.17.0~),
         libkf6configwidgets6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.17.0~),
         libkf6guiaddons-dev (>= 6.17.0~),
         libkf6i18n-dev (>= 6.17.0~),
         libkf6widgetsaddons-dev (>= 6.17.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6configwidgets-doc (= ${source:Version}),
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf6configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf6configwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

## kf6-kconfigwidgets 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets6\")

=== autotests/CMakeLists.txt ===

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (HAVE_DBUS)
    add_definitions(-DHAVE_QTDBUS=1)
else()
    add_definitions(-DHAVE_QTDBUS=0)
endif()

include(ECMAddTests)

ecm_add_test(kstandardactiontest.cpp LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)

set(kconfigdialog_unittest_SRCS kconfigdialog_unittest.cpp)
kconfig_add_kcfg_files(kconfigdialog_unittest_SRCS GENERATE_MOC signaltest.kcfgc)
ecm_add_test(${kconfigdialog_unittest_SRCS} TEST_NAME "kconfigdialog_unittest" LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)

set(lang_entries
  ca
  de
  en_US
  es # must not have file!
  fr
  pt
)

# scripty would mangle all *.desktop files, since that'd have potential of
# breaking the test we'll need to bypass scripty by not having our files called
# .desktop!
# Do note that we pop these into CMAKE_LIBRARY_OUTPUT_DIRECTORY so QFINDTESTDATA
# is able to find the fixtures in the bin dir as KDECMakeSettings sets a special
# output dir.
foreach(lang ${lang_entries})
    set(src_dir "${CMAKE_CURRENT_SOURCE_DIR}/kf6_entry_data.cmake/locale/${lang}")
    set(src_file "${src_dir}/kf6_entry.cmake")
    set(bin_dir "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/kf6_entry_data/locale/${lang}")
    set(bin_file "${bin_dir}/kf6_entry.desktop")
    file(MAKE_DIRECTORY ${bin_dir})
    if(EXISTS ${src_file}) # not all languages have entries
        configure_file(${src_file} ${bin_file} COPYONLY)
    endif()
endforeach()

ecm_add_test(klanguagenametest.cpp LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)
ecm_add_test(kcmdbartest.cpp LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)
ecm_add_test(khamburgermenutest.cpp LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)

ecm_add_test(krecentfilesactiontest.cpp TEST_NAME "krecentfilesaction_test" LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)

ecm_add_test(kopenactiontest.cpp TEST_NAME "kopenaction_test" LINK_LIBRARIES Qt6::Test KF6::ConfigWidgets)

=== debian/changelog ===
kf6-kconfigwidgets (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:43 +0200

=== debian/control ===
Source: kf6-kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6codecs-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kconfigwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kconfigwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kconfigwidgets.git
Rules-Requires-Root: no

Package: libkf6configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the data files.

Package: libkf6configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.18.0~),
         libkf6colorscheme-dev (>= 6.18.0~),
         libkf6config-dev (>= 6.18.0~),
         libkf6configwidgets6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6guiaddons-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libkf6widgetsaddons-dev (>= 6.18.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6configwidgets-doc (= ${source:Version}),
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf6configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf6configwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

## kf6-kconfigwidgets 6.18.0+p24.04+vstable+git20250916.0210

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets6\")

=== debian/changelog ===
kf6-kconfigwidgets (6.18.0+p24.04+vstable+git20250916.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 02:10:57 +0000

kf6-kconfigwidgets (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:50:19 +0000

kf6-kconfigwidgets (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:12:01 +0000

kf6-kconfigwidgets (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:10:15 +0000

kf6-kconfigwidgets (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:40:47 +0000

kf6-kconfigwidgets (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:29:08 +0000

kf6-kconfigwidgets (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:52:47 +0000

kf6-kconfigwidgets (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:53:15 +0000

kf6-kconfigwidgets (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:20:55 +0000

kf6-kconfigwidgets (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:36:38 +0000

kf6-kconfigwidgets (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:22:09 +0000

kf6-kconfigwidgets (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:24:34 +0000

kf6-kconfigwidgets (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:20:27 +0000

kf6-kconfigwidgets (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:26:43 +0000

kf6-kconfigwidgets (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:20:28 +0000

kf6-kconfigwidgets (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:38:14 +0000

kf6-kconfigwidgets (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:28:04 +1000

kf6-kconfigwidgets (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:51:34 +0000

kf6-kconfigwidgets (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:15:31 +0000

kf6-kconfigwidgets (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kconfigwidgets (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kconfigwidgets 6.18.0+p24.04+vstable+git20251005.0421

=== debian/changelog ===
kf6-kconfigwidgets (6.18.0+p24.04+vstable+git20251005.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:21:40 +0000

## kf6-kconfigwidgets 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_library(KF6ConfigWidgets)
add_library(KF6::ConfigWidgets ALIAS KF6ConfigWidgets)

set_target_properties(KF6ConfigWidgets PROPERTIES
    VERSION     ${KCONFIGWIDGETS_VERSION}
    SOVERSION   ${KCONFIGWIDGETS_SOVERSION}
    EXPORT_NAME ConfigWidgets
)

target_sources(KF6ConfigWidgets PRIVATE
  kcodecaction.cpp
  kcolorschememenu.cpp
  kcommandbar.cpp
  kcommandbarmodel_p.cpp
  kconfigdialog.cpp
  kconfigviewstatesaver.cpp
  kconfigdialogmanager.cpp
  khelpclient.cpp
  khamburgermenu.cpp
  khamburgermenuhelpers.cpp
  klanguagebutton.cpp
  klanguagename.cpp
  kopenaction.cpp
  krecentfilesaction.cpp
  kstandardaction.cpp
  kstylemanager.cpp

  kcodecaction.h
  kcommandbar.h
  kcommandbarmodel_p.h
  kconfigdialog.h
  kconfigviewstatesaver.h
  kconfigdialogmanager.h
  khelpclient.h
  khamburgermenu.h
  khamburgermenuhelpers_p.h
  klanguagebutton.h
  klanguagename.h
  kopenaction_p.h
  krecentfilesaction.h
  kstandardaction.h
  kstylemanager.h
)

ecm_qt_declare_logging_category(KF6ConfigWidgets
    HEADER kconfigwidgets_debug.h
    IDENTIFIER KCONFIG_WIDGETS_LOG
    CATEGORY_NAME kf.configwidgets
    OLD_CATEGORY_NAMES kf5.kconfigwidgets
    DESCRIPTION "KConfigWidgets"
    EXPORT KCONFIGWIDGETS
)

ecm_generate_export_header(KF6ConfigWidgets
    BASE_NAME KConfigWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6ConfigWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets>")

target_link_libraries(KF6ConfigWidgets
  PUBLIC
    KF6::WidgetsAddons # For K*Action, KPage*, KViewStateSerializer, KAcceleratorManager, K*GuiItem
    KF6::ConfigGui # KStandardAction uses KStandardShortcut
    KF6::ColorScheme
  PRIVATE
    Qt6::GuiPrivate # KStyleManager::initStyle
    KF6::CoreAddons # KAboutData, KFuzzymatcher
    KF6::GuiAddons # KColorScheme uses KColorUtils
    KF6::I18n # For action and widget texts
    KF6::Codecs # KCodecActions uses KCharsets, KEncodingProber
)

if (HAVE_DBUS)
    target_link_libraries(KF6ConfigWidgets
        PRIVATE
        Qt::DBus # KRecentFilesAction to send call to ActivityManager
    )
    target_compile_definitions(KF6ConfigWidgets PRIVATE -DHAVE_QTDBUS=1)
else()
    target_compile_definitions(KF6ConfigWidgets PRIVATE -DHAVE_QTDBUS=0)
endif()

ecm_generate_headers(KConfigWidgets_HEADERS
  HEADER_NAMES
  KCodecAction
  KColorSchemeMenu
  KCommandBar
  KConfigDialog
  KConfigViewStateSaver
  KConfigDialogManager
  KHamburgerMenu
  KHelpClient
  KLanguageButton
  KLanguageName
  KRecentFilesAction
  KViewStateMaintainer
  KStandardAction
  KStyleManager

  REQUIRED_HEADERS KConfigWidgets_HEADERS
)

install(TARGETS KF6ConfigWidgets EXPORT KF6ConfigWidgetsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_export.h
  ${KConfigWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets COMPONENT Devel
)

install( FILES entry.desktop  DESTINATION  ${KDE_INSTALL_LOCALEDIR}/en_US RENAME kf6_entry.desktop )

file(GLOB lang_dirs "language_files/*")
foreach(lang_dir ${lang_dirs})
   get_filename_component(lang ${lang_dir} NAME)
   install( FILES language_files/${lang}/kf6_entry.desktop DESTINATION ${KDE_INSTALL_LOCALEDIR}/${lang} )
endforeach()

ecm_qt_install_logging_categories(
    EXPORT KCONFIGWIDGETS
    FILE kconfigwidgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_generate_qdoc(KF6ConfigWidgets kconfigwidgets.qdocconf)

=== src/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(KLanguageButton
    TOOLTIP "Language Button (KF6)"
    WHATSTHIS "A pushbutton for language selection from a popup list."
    GROUP "Buttons (KF6)"
)

ecm_add_qtdesignerplugin(kconfigwidgetswidgets
    NAME KPlottingWidgets
    OUTPUT_NAME kconfigwidgets6widgets
    WIDGETS
        KLanguageButton
    LINK_LIBRARIES
        KF6::ConfigWidgets
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-kconfigwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                gettext,
-               libkf6codecs-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
+               libkf6codecs-dev (>= 6.19.0~),
+               libkf6colorscheme-dev (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6coreaddons-dev (>= 6.19.0~),
+               libkf6guiaddons-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kconfigwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kconfigwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kconfigwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfigwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfigwidgets
 Rules-Requires-Root: no
 
 Package: libkf6configwidgets-data
@@ -45,14 +46,14 @@
 Package: libkf6configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.18.0~),
-         libkf6colorscheme-dev (>= 6.18.0~),
-         libkf6config-dev (>= 6.18.0~),
+Depends: libkf6codecs-dev (>= 6.19.0~),
+         libkf6colorscheme-dev (>= 6.19.0~),
+         libkf6config-dev (>= 6.19.0~),
          libkf6configwidgets6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.18.0~),
-         libkf6guiaddons-dev (>= 6.18.0~),
-         libkf6i18n-dev (>= 6.18.0~),
-         libkf6widgetsaddons-dev (>= 6.18.0~),
+         libkf6coreaddons-dev (>= 6.19.0~),
+         libkf6guiaddons-dev (>= 6.19.0~),
+         libkf6i18n-dev (>= 6.19.0~),
+         libkf6widgetsaddons-dev (>= 6.19.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6configwidgets-doc (= ${source:Version}),

## kf6-kconfigwidgets 6.19.0+p24.04+vstable+git20251011.0943

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0+p24.04+vstable+git20251011.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:43:10 +0000

kf6-kconfigwidgets (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:51:06 +0000

## kf6-kconfigwidgets 6.19.0+p24.04+vstable+git20251015.0931

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0+p24.04+vstable+git20251015.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:31:50 +0000

## kf6-kconfigwidgets 6.19.0+p24.04+vstable+git20251024.0151

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 include(CMakeDependentOption)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0+p24.04+vstable+git20251024.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:51:43 +0000

=== debian/control ===
Source: kf6-kconfigwidgets
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kwidgetsaddons-dev,
               libxml2-utils,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kconfigwidgets.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kconfigwidgets
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kconfigwidgets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6configwidgets-data,
          libkf6configwidgets-doc,
          libkf6configwidgets6
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips6 script and graphics.

Package: kf6-kconfigwidgets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kauth-dev,
         kf6-kcodecs-dev,
         kf6-kcolorscheme-dev,
         kf6-kconfig-dev,
         kf6-kconfigwidgets (= ${binary:Version}),
         kf6-kcoreaddons-dev,
         kf6-kdoctools-dev,
         kf6-kguiaddons-dev,
         kf6-ki18n-dev,
         kf6-kwidgetsaddons-dev,
         qt6-5compat-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6configwidgets-dev
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf6configwidgets6
Architecture: all
Depends: kf6-kconfigwidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configwidgets-data
Architecture: all
Depends: kf6-kconfigwidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configwidgets-doc
Architecture: all
Depends: kf6-kconfigwidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configwidgets-dev
Architecture: all
Depends: kf6-kconfigwidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KDE_DOCS=/usr/share/qt6/doc/kde-qdoc-common-dev

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_DESIGNERPLUGIN=ON 

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- prepare_docs
	dh_auto_build -- generate_docs
	dh_auto_build -- generate_qch

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install_html_docs
	dh_auto_install -- install_qch_docs

## kf6-kconfigwidgets 6.19.0+p24.04+vstable+git20251028.0804

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0+p24.04+vstable+git20251028.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:04:56 +0000

## kf6-kconfigwidgets 6.19.0+p24.04+vunstable+git20251015.1045

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0+p24.04+vunstable+git20251015.1045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:45:18 +0000

## kf6-kconfigwidgets 6.19.0+p24.04+vunstable+git20251020.0250

=== debian/changelog ===
kf6-kconfigwidgets (6.19.0+p24.04+vunstable+git20251020.0250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:51:02 +0000

## kf6-kconfigwidgets 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets6\")

=== debian/changelog ===
kf6-kconfigwidgets (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:10 +0000

=== debian/control ===
Source: kf6-kconfigwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               gettext,
               libkf6codecs-dev (>= 6.20.0~),
               libkf6colorscheme-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6guiaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfigwidgets
Rules-Requires-Root: no

Package: libkf6configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the data files.

Package: libkf6configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.20.0~),
         libkf6colorscheme-dev (>= 6.20.0~),
         libkf6config-dev (>= 6.20.0~),
         libkf6configwidgets6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6guiaddons-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6configwidgets-doc (= ${source:Version}),
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf6configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf6configwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kconfigwidgets-([\d.]+)\.tar\.xz

## kf6-kconfigwidgets 6.20.0+p24.04+vunstable+git20251204.0154

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kconfigwidgets (6.20.0+p24.04+vunstable+git20251204.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:54:56 +0000

kf6-kconfigwidgets (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kconfigwidgets 6.20.0+p24.04+vunstable+git20251206.0326

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kconfigwidgets (6.20.0+p24.04+vunstable+git20251206.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:26:17 +0000

## kf6-kconfigwidgets 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kconfigwidgets (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               dbus <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                gettext,
-               libkf6codecs-dev (>= 6.20.0~),
-               libkf6colorscheme-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6guiaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               libkf6codecs-dev (>= 6.21.0~),
+               libkf6colorscheme-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6guiaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-base-private-dev (>= 6.8.0+dfsg~),
@@ -46,14 +46,14 @@
 Package: libkf6configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.20.0~),
-         libkf6colorscheme-dev (>= 6.20.0~),
-         libkf6config-dev (>= 6.20.0~),
+Depends: libkf6codecs-dev (>= 6.21.0~),
+         libkf6colorscheme-dev (>= 6.21.0~),
+         libkf6config-dev (>= 6.21.0~),
          libkf6configwidgets6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.20.0~),
-         libkf6guiaddons-dev (>= 6.20.0~),
-         libkf6i18n-dev (>= 6.20.0~),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
+         libkf6guiaddons-dev (>= 6.21.0~),
+         libkf6i18n-dev (>= 6.21.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6configwidgets-doc (= ${source:Version}),

## kf6-kconfigwidgets 6.21.0+p24.04+vstable+git20260103.0221

=== debian/changelog ===
kf6-kconfigwidgets (6.21.0+p24.04+vstable+git20260103.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:21:16 +0000

kf6-kconfigwidgets (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:15 +1000

## kf6-kconfigwidgets 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -63,8 +63,8 @@
 
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets6\")

=== debian/changelog ===
kf6-kconfigwidgets (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6codecs-dev (>= 6.21.0~),
-               libkf6colorscheme-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6guiaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkf6codecs-dev (>= 6.22.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-base-private-dev (>= 6.8.0+dfsg~),
@@ -46,14 +46,14 @@
 Package: libkf6configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.21.0~),
-         libkf6colorscheme-dev (>= 6.21.0~),
-         libkf6config-dev (>= 6.21.0~),
+Depends: libkf6codecs-dev (>= 6.22.0~),
+         libkf6colorscheme-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.22.0~),
          libkf6configwidgets6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6guiaddons-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
-         libkf6widgetsaddons-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6guiaddons-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
+         libkf6widgetsaddons-dev (>= 6.22.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6configwidgets-doc (= ${source:Version}),

## kf6-kconfigwidgets 6.22.0+p24.04+vstable+git20260106.0926

=== debian/changelog ===
kf6-kconfigwidgets (6.22.0+p24.04+vstable+git20260106.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:26:46 +0000

kf6-kconfigwidgets (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:50 +1000

## kf6-kconfigwidgets 6.22.0+p24.04+vstable+git20260111.0149

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kconfigwidgets (6.22.0+p24.04+vstable+git20260111.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:49:13 +0000

## kf6-kconfigwidgets 6.22.0+p24.04+vstable+git20260126.0711

=== debian/changelog ===
kf6-kconfigwidgets (6.22.0+p24.04+vstable+git20260126.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:11:50 +0000

## kf6-kconfigwidgets 6.22.0+p24.04+vunstable+git20260123.0332

=== debian/changelog ===
kf6-kconfigwidgets (6.22.0+p24.04+vunstable+git20260123.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:32:30 +0000

## kf6-kconfigwidgets 6.22.0+p24.04+vunstable+git20260126.0759

=== debian/changelog ===
kf6-kconfigwidgets (6.22.0+p24.04+vunstable+git20260126.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:59:21 +0000
